`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 08/18/2017 10:00:07 AM
// Design Name: 
// Module Name: clock_module_low_power
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module clock_module_low_power (input raw_clk, output clk_fast, output clk_slow, input rst);

reg [8:0] clk_slow_counter;

BUFG clk_fast_buffer (.I(raw_clk), .O(clk_fast));
BUFG clk_slow_buffer (.I(clk_slow_counter[8]), .O(clk_slow));

// create the slow clock simply using counter
always@(posedge clk_fast) clk_slow_counter <= clk_slow_counter + 1'b1;


endmodule
